<?php
class widgetContentDatasets extends cmsWidget {

    public $is_cacheable = false;

    public function run(){
		
		$ctype_id = $this->getOption('ctype_id');
		$is_root_hide = $this->getOption('is_root_hide');

        $model = cmsCore::getModel('content');
		$model->filterEqual('i.is_visible',1);

		if ($ctype_id == 0){
            $ctype = cmsModel::getCachedResult('current_ctype');
			if (!$ctype) { return false; }
			$current_ctype_id = $ctype['id'];
			$datasets = $model->getContentDatasets($current_ctype_id);
			$root_ctype = $current_ctype_id;
        } else {
			$current_ctype = cmsModel::getCachedResult('current_ctype');
			$ctype = $model->getContentType($ctype_id);
			if ($is_root_hide && $current_ctype['id'] == $ctype_id) { return false; }
			$datasets = $model->getContentDatasets($ctype_id);
			$root_ctype = $current_ctype;
		}
		if (!$datasets) { return false; }

        return array(
            'ctype_id' => $ctype_id,
			'ctype_name'   => $ctype['name'],
			'root_ctype'   => $root_ctype,
            'datasets'   => $datasets
        );

    }

}